class Complaint
  include ActiveModel::Model

  attr_accessor :user,:object,:message,:description
  validates_presence_of :user,:object,:message

  def self.copyrights
    ComplaintMessage.new("Objeto viola direitos autorais")
  end

  def self.ofensive_content
    ComplaintMessage.new "Objeto contém conteúdo ofensivo/abusivo"
  end

  def self.ofensive_user
    ComplaintMessage.new "Usuário ofensivo/agressivo"
  end

  def self.fake_user
    ComplaintMessage.new "Usuário falso"
  end
end
